Index

Digital Media Converter

Welcome to Digital Media Converter

Digital Media Converter speedily converts your video and audio files from one format to another. This simple to use program supports all popular media formats like MPEG, AVI, WMV, WMA, MP3, WAV etc. The program's mass conversion capability lets you multi-select files to add them for conversion. You can also add an entire folder. Digital Media Converter lets you search for files by extension in a folder and then adds them for conversion.

Supported Media File Formats

Features

With Digital Media Converter you can:

  • Multi-select files and add them for conversion.
  • Search a folder and its sub-folders for files by extension and add them for conversion.
  • Select files that you want to convert from the ones added.
  • Convert files in the background while you do other work.
  • Convert from all popular media formats.
Copyright © 2005 DeskShare Incorporated. All rights reserved.


What's New?

Digital Media Converter

What's New in Digital Media Converter 2.4 ?

  1. Output to DV-AVI Format: Digital Media Converter now supports making movies in Digital Video AVI - Type I and Type II. The converted file can be made in both, NTSC as well as PAL standard.
  2. Save media files to any frame-rate: Convert your media files to AVI while keeping the source file frame rate or choose a different frame rate that you want.
  3. Audio frequency settings in Custom MPEG 1 format: Now you can change the Audio Frequency when saving your media files to Custom MPEG 1 format.
  4. Rename your destination file before converting: Digital Media Converter now allows you to rename your destination file name before converting.

What's New in Digital Media Converter 2.3 ?

  1. Output to Quick Time Format: Save your files to Quick Time MOV format.
  2. DVR-MS File Support: Convert your TV shows recorded on Media Center PC's to any supported output format.
  3. Save media files to your desired dimensions: Digital Media Converter gives you the power to not only save your videos in the original dimension but also to any dimension imaginable. This support is provided for output to AVI and QuickTime MOV format.
  4. Create WMF files to port to Portable Media Center Devices: Digital Media Converter now lets you create WMF media files that you can play back on Portable Media Center devices.
  5. Repair Media Files: The built-in repair utility detects and repairs problems in your media files.
  6. Search and Add Files: Digital Media Converter will allow you to search in a specified folder and sub folders for files with your selected extensions.

What's New in Digital Media Converter 2.2 ?

  1. Automatic Shutdown: Allow Digital Media Converter to safely shut down your PC once the batch conversion is over.
  2. Split Feature: The split feature allows you to take any media file and split it into separate parts.

What's New in Digital Media Converter 2.1?

  1. Windows Media 9 Support: Digital Media Converter now supports conversion to WMV and WMA. The profiles are categorized by distribution media for easy conversions.
  2. CD Ripping: Extract CD tracks from an Audio CD and convert them to any desired format.
  3. Drag and Drop Feature: Media Files can be dragged from the explorer and dropped into the conversion list.
  4. Quick Time Support: Convert Quick Time Movie files to any format supported by Digital Media Converter.


System Requirements

Minimum System Requirements for Digital Media Converter are:

  • Microsoft® Windows 98 SE / Windows ME / Windows 2000 / Windows XP.
  • Microsoft® DirectX 8 or higher.
    You may download the latest version of DirectX from
    http://www.microsoft.com/windows/directx/default.aspx?url=/windows/directx/downloads/default.htm
  • 300 MHz Processor (500 MHz recommended).
  • 128 MB RAM.
  • DirectX compatible graphics and sound boards.
  • Minimum 100 MB of Hard Disk Space.


Supported Media Formats

Most of the commonly used media file formats are supported by Digital Media Converter:

Supported Input Formats

  1. Audio-Video Interleaved (AVI)
  2. WAV
  3. Windows Media Audio (WMA)
  4. Windows Media Video (WMV)
  5. Advanced Streaming Format (ASF)
  6. Motion Picture Experts Group (MPEG)
  7. QuickTime (MOV)
  8. DVR-MS (DVR Microsoft)
  9. AIFF
  10. AU
  11. SND
  12. CDA (CD Digital Audio)

Supported Output Formats

  1. AVI
  2. MPEG Formats (VCD, SVCD and DVD)
  3. QuickTime (MOV)
  4. Digital Video AVI
  5. Windows Media Video (WMV)
  6. Windows Media Audio (WMA)
  7. WAV

QuickTime Support

The 'Recommended' or 'Full' installation of QuickTime Player is required to convert from MOV to any supported format. These installation options are available in QuickTime Player's installer. QuickTime Player's online or standalone installer can be obtained from the URL: http://www.apple.com/quicktime/products/qt/.

Minimum System Requirements For DVR-MS Support

  1. To convert Media Center PC digital recorded files (.dvr-ms) Windows XP SP2 system is needed. To find out which Service Pack of Windows XP is currently installed on your PC: On the Start menu, click Run and then Enter "winver". If your using Windows XP SP1 system then you should download this update: http://www.microsoft.com/downloads/details.aspx?FamilyID=fb4c2c2e-60ea-4ed9-bc68-e93c9e65c58e&displaylang=en

  2. DVR-MS recorded files contain MPEG-2 video and audio streams and requires a Windows XP-compatible MPEG-2 decoder to be installed.


Adding Files for Conversion

To add one or more files for conversion:

  1. On the File menu, click Add Files or click the toolbar button labeled Add Files.
  2. Browse to the folder where the files you want to convert are located and select one or more files.
  3. Select the Convert to format.
  4. Click Open.

Digital Media Converter will start adding the files one by one. If Digital Media Converter fails to add a file then the reason for failure is listed next to the filename.

Note

The Convert to format selected while adding files not only applies to the files being added, but also to the files already present in the conversion list.


Adding Folder for Conversion

To add files present in a folder and all its sub-folders:

  1. On the File menu, click Add Folder or click the toolbar button labeled Add Folder.
  2. In the Add Folder dialog, specify the Search Folder. Either enter the folder's path and name or browse for it by clicking Browse.
  3. Check Include Sub-folders, if you want the sub-folders of the specified Search Folder to be included in the search.
  4. Select the Convert to Format.
  5. Check all video and audio file extensions that you want to search for.
  6. Click Next to start searching.
  7. To remove one or more files after the search is complete, select them and click Remove.
  8. Click Finish.

Digital Media Converter will start adding the files one by one. If Digital Media Converter fails to add a file then the reason for failure is listed next to the file name.

Note

The Convert to format selected while adding files not only applies to the files being added but also to the files already present in the conversion list.


Selecting Files to Convert

When files and folders are added for conversion, they appear checked by default. When conversion starts, only checked files are converted.

To exclude a file from conversion, simply locate it in the list and uncheck it.


Digital Media Converter

Extract Only Audio

This section discusses the way to save only the audio of a media file.

Convert to WMA

  1. After adding files to the list, point to the Files menu and click Settings.
  2. From the Convert To box, select one of the following :
    1. WMA - For Desktop Viewing.
    2. WMA - For Windows Media Server (Streaming).
    3. WMA - For Web Server (Progressive Download).
  3. Select the Properties tab.
  4. From the Profile box, select an appropriate profile.
  5. From the list of available Bit Rates, select the ones that you want to include in the conversion.
  6. Click OK.

Convert to WAV

  1. After adding files to the list, point to the Files menu and click Settings.
  2. From the Convert To box, select WAV.
  3. Select the Properties tab.
  4. From the Audio Frequency box, select the required frequency.
  5. Select Audio Bit Size and Audio Type.
  6. Click OK.

Example

To select a specific song from media file and save only the audio you can take the following steps:

  1. After adding the file to the list, select the file from which you want to select a particular song.
  2. On the Tools menu click Split File.
  3. Drag the selection slider to the start position of the song and click on the Mark In button.
  4. Drag the selection slider to the stop position of the song and click on the Mark Out button.
  5. To add this selected range as a new entry in the list, click Add Selection As New Entry button.
  6. Click on Cancel button.
  7. Now, point to the Files menu and click Settings.
  8. From the Convert To box, select WAV or any of the WMA formats based on your distribution content.
  9. To configure the settings for the selected format select the Properties tab.
  10. Click OK when done.


Changing Conversion Settings

By default, all files are converted to VCD and saved to the My Documents folder of your PC. These defaults can be changed after the files are added from the Settings dialog.

Changing Convert To Path

To change the path where the converted files will be saved:

  1. On the File menu, select Settings.
  2. Specify the path where you want the converted files to be saved. Either enter the path or click Browse to select a folder.
  3. Click OK.

Configure Automatic Shutdown after batch conversion

To allow Digital Media Converter to shut down your PC after conversion is complete:

  1. On the File menu, select Settings.
  2. Check the Shutdown the computer after conversion option.
  3. Click OK.

Changing Convert To Format

To change the Convert To format:

  1. On the File menu, select Settings.
  2. Select a format from the Convert To box.
  3. Click the Properties tab to change the settings of the selected Convert To format.
  4. Click OK when done.

Compatibility

You can fix most problems with incompatible filters using this feature. When you experience problems where you are able to convert only the audio with Digital Media Converter then in most cases disabling a particular filter should solve your problem. More information on Direct Show filters can be obtained from Trouble Shooting Compatibility Problems in Digital Media Converter.

In order to use this feature you must have DirectX 9 or higher installed on your PC. To download the latest version of DirectX 9, click here

If you already have the required version of DirectX 9 then the list on this page shows you all the filters that are installed by other video programs on your computer and which might be incompatible with Digital Media Converter. You might have to experiment with a number of filters to identify the filter causing incompatibility.

To disable a particular filter:

  1. On the File menu, select Settings.
  2. Click the Compatibility tab.
  3. Uncheck the filter. This will disable the filter only in Digital Media Converter and not effect any other video program installed on your PC.
  4. Click 'OK' when done.

If the problem persists, then you can experiment with another filter or a combination of filters.

Some filters known to cause issues are:

  1. iviaudio.ax: A filter installed by Intervideo WinDVD; causes problems in audio playback of WMV and WMA files in the converted file.
  2. clmp3wrap.ax and claudiocd.ax: Filters installed by Cyberlink PowerDirector; you may not hear audio in the converted files.
  3. ac3audio.ax
  4. cmaudio.ax
  5. divxaf.ax (DivX Anti-Freeze)

To enable all the filters

  1. On the File menu, select Settings.
  2. Click the Compatibility tab.
  3. sClick 'Restore Defaults'.
  4. Click 'OK' when done.


Configuring AVI Properties

  1. After adding files to the list, point to the Files menu and click Settings.
  2. From the Convert To box, select AVI
  3. Select Properties tab.

To let Digital Media Converter decide the best AVI Properties for you, click Auto Select. Digital Media Converter will scan the compressor on your PC and select the best available.

Video Dimension

Digital Media Converter gives you the power to not only save your videos in the original dimension but also to any dimension imaginable. To save your video in the original dimensions, select Keep source file dimensions. To change the dimensions select Change dimensions, then you may select to save in one of the standard formats or specify custom dimension for some very unusual video dimensions.

  • By default your converted file is saved in the original dimension.
  • To save to a different display dimension, open the Video Dimension list and choose a dimension of your choice.
  • To specify custom dimensions for your video, select "Custom" from the Video Dimension list. This will enable you to specify width and height of the video. If you want to alter the aspect ratio of the video then clear "Lock Aspect Ratio" and then specify width and height of the video.
  • As with images, it is not a good idea to save video to a display dimension that is higher than the original. For example, if the file imported into your timeline originally had 320 x 240 dimensions, you should not save it to 640 x 480 pixel dimension as it might distort the video.
  • Since many of the compressors do not support the odd dimensions, by default the selected dimension is automatically converted to a multiple of 4. This is strictly recommended to avoid compressor failure while making a movie. To specify automatic conversion of the selected dimension to the multiple of 4 a checkbox is provided.

Frame Rate

The Frame Rate of a media file is the number of frames that are displayed in one second. Files with a higher frame rate such as 25, 30 to 60 FPS (Frames Per Second) play smoother than files with lower frame rates such as 10 or 15 FPS. However, lower frame rate media files are much smaller than higher frame rate ones. 15 FPS is the norm that is usually followed for video created for the Web. You can configure the frame rate in two ways:

  1. Choose to keep the source file frame rate by selecting Keep source file frame rate option or,
  2. Change the frame rate of the converted file by selecting the Change frame rate option and move the slider to get the desired frame rate.

Compressors

To apply a video compressor:

From the Video Compressor Box select a Compressor name. Depending upon the compressor you choose, you will be able to select the Key Frame Rate, Quality of your converted media file.

Key Frame Rate

The process of temporal compression involves reducing or eliminating temporal redundancy from an image sequence. Temporal compression is most effective when a sequence contains frames that bear significant similarity to adjacent frames. This is typically true of movies and other video sequences. Reconstructing an individual frame within a sequence that has been temporally compressed requires knowledge of the previous frames. This does not present a problem if your application always plays compressed sequences from the beginning. However, if your application needs to start playing a sequence from a random point or backwards, the decompressor does not have enough information to decompress the frames.

To alleviate this problem, compressors insert key frames in compressed sequences at regular intervals. Key frames define starting points for portions of a temporally compressed sequence. Subsequent frames depend on the previous key frame

The key frame rate indicates the maximum number of frames you will accept between key frames.

Quality

Quality refers to the image quality of the video frames. You can set the quality of the converted file that you are saving. The default quality of each compressor is different and if you are choosing a video compressor it is best to NOT define the quality using the slider. A quality of 75% is only the Digital Media Converter default and may be too low or too high for a particular compressor.

To apply a audio compressor:

From the Audio Compressor Box select a Compressor name and click OK to save the settings.


Digital Media Converter

Configuring QuickTime Properties

To Make Movie in QuickTime format, the 'Recommended' or 'Full' installation of QuickTime is required. QuickTime's online or standalone installer can be obtained from http://www.apple.com/quicktime/products/qt/

  1. After adding files to the list, point to the Files menu and click Settings.
  2. From the Convert To box, select QuickTime MOV
  3. Select Properties tab.

Video Dimension

Digital Media Converter gives you the power to not only save your videos in the original dimension but also to any dimension imaginable. To save the video in original dimensions select Keep source file dimensions. To change the dimensions select Change dimensions, then you may select to save in one of the standard formats or specify custom dimension for some very unusual video dimensions.

  • By default your converted file is saved in original dimensions.
  • To save to a different display dimension, open the Video Dimension list and choose a dimension of your choice.
  • To specify custom dimensions for your video, select "Custom" from the Video Dimension list. This will enable you to specify width and height of the video. If you want to alter the aspect ratio of the video then clear "Lock Aspect Ratio" and then specify width and height of the video.
  • As with images, it is not a good idea to save video to a display dimension that is higher than the original. For example, if the file imported into your timeline originally had 320 x 240 dimensions, you should not save it to 640 x 480 pixel dimension as it might distort the video.

Video Compressor

Select the video compressor from the ones available. The size and the quality of the QuickTime movie depends largely on the Video Compressor. By default the Sorenson Video 3 compressor will be applied.

Quality

Select the Quality of the video. The size of the QuickTime movie increases with higher quality.

Frame Rate

The Frame Rate of the video is the number of frames the movie will display per second. High motion videos require high frame rates. By default a frame rate of 30 will be applied. The size of the video also increases with high frame rates. If you are not sure about the frame rate then select a frame rate same as the source file frame rate.. High motion videos typically require frame rates between 25 - 30 frames/second (FPS). You can make movies up to 60 frames/second.

Audio Compressor

Select the audio compressor used to compress the audio in the movie. A better compressor will generally produce high quality audio and keep the size minimum. By default the QDesign Music 2 compressor will be applied.

Audio Frequency

Audio Frequency is the number of audio samples to be played per second. Higher frequency values gives better sound quality but also increases the size of the audio. Select better qualities for music and lower qualities for speech.

Audio Bit Size

Audio Bit Size is the size of one sample of audio. Select the bit size depending on the audio quality you want.

Audio Type

Select the number of channels of audio (stereo or mono).

4. Click on OK to save the settings.


Split Media File

By default, adding a media file to the list will take the entire duration of the file for conversion. Converting a large duration file may take very long and you might be interested in only a part of the media file. For instance you may want to convert a single song from the file. Digital Media Converter provides you with a tool to select the portion of the media file that you are interested in and apply it for conversion.

To select a range of the media file

Specify portion to be taken for conversion

  1. Select the file for which you want to specify a particular range.
  2. On the Tools menu click Split File.
  3. Drag the selection slider to your desired start position and click on the Mark In button.
  4. Drag the selection slider to your desired stop position and click on the Mark Out button.
  5. To add this selected range as a new entry in the list click Add Selection As New Entry button.
  6. Click on Cancel button.

Modify an already selected range

  1. Select the file for which you want to modify the range.
  2. On the Tools menu click Split File.
  3. Drag the selection slider to your desired start position and click on the Mark In button.
  4. Drag the selection slider to your desired stop position and click on the Mark Out button.
  5. To update the selected range in the list click Apply button.
  6. Click on Cancel button.

Note

The split range that you have selected will appear in the Range column and will be applied for the conversion.


Digital Media Converter

Attempt To Repair Media File

There are many products that make media files. Sometime these products do not use the standard structure when creating the media file.

Using the repair utility you can:

  1. Index a WMF File to make it seekable.
  2. Retrieve video data from MPEG files with packet synchronization errors, invalid data and missing end of file marker.
  3. Correct end of file problems in QuickTime MOV files.

To use the built-in repair utility

  1. On the Tools menu, click Attempt To Repair File.
  2. Click Browse to specify the file you want to repair. If a file is selected in the conversion list then that file, by default, is specified as the source file.
  3. Click Next to repair the file.
  4. Click Cancel if you wish to stop the repair operation.
  5. To add the repaired file to the conversion list make sure that the Add Repaired File to the Conversion List option is checked.
  6. Click Finish.

Note: The repair utility attempts to convert the source file to AVI or in some cases QuickTime. The utility accepts only those files that a media player can play. The process of repairing may result in some loss of data in the repaired file.


Configure MPEG Properties

Digital Media Converter

Configuring MPEG Properties

  1. After adding files to the list, point to the Files menu and click Settings.
  2. From the Convert To box, select one of the option from VCD, DVD, SVCD, Custom MPEG-1.
  3. Select the Properties tab.

MPEG is the dominant file format used to create VCD, SVCD and DVD. This high quality compressed format can be used across all platforms. VCD, SVCD and DVDs accept MPEG files that conform to their respective standards. MPEG files differ in many parameters that characterizes the MPEG format.

The table below lists down the format in which MPEG files are made by Digital Media Converter depending on the type of video disc.

Video Disc |  |  | MPEG Format (Standard)
Disc Format | Picture Standard | Disc Type | MPEG Type | Dimension (pixels) | Frame Rate (FPS) | Video Bit-rate (Kbps) | Audio Bit-rate (Kbps) | Variable/Constant Bit-rate (VBR/CBR)
VCD | NTSC | CD | MPEG 1 | 352 x 240 | 29.97 | 1152 | 224 | CBR and VBR
VCD | PAL | CD | MPEG 1 | 352 x 288 | 25 | 1152 | 224 | CBR and VBR
SVCD | NTSC | CD | MPEG 2 | 480 x 480 | 29.97 | 2500 | 192 | CBR only
SVCD | PAL | CD | MPEG 2 | 480 x 576 | 25 | 2500 | 192 | CBR only
DVD | NTSC | DVD | MPEG 2 | 720 x 480 | 29.97 | 6000 | 224 | CBR only
DVD | PAL | DVD | MPEG 2 | 720 x 576 | 25 | 6000 | 224 | CBR only

NTSC is the picture standard used in USA while PAL is used in almost all European countries. The MPEG 1 format also supports Variable Bit-rate video that can be used to achieve high compression ratios depending on the kind of video's present in the Timeline.

Making MPEG Movies for VCD, SVCD and DVD

Creating VCD, SVCD or DVD involves:

  1. Making MPEG movie (s) conforming to the standard that the disc accepts.
  2. Burning the created movie (s) to an appropriate disc (CD or DVD)

Digital Media Converter is able to make MPEG movies for various Video Discs as discussed in the table above. However, a separate CD or DVD burning software is required to burn these MPEG movies to a CD or DVD.

To make movie for VCD, SVCD or DVD, select the required format from "Convert To Format" box and click on OK. The values required to create the correct MPEG Format is automatically filled up.

The options available are:

  1. MPEG 1 VCD (NTSC)
  2. MPEG 1 VCD (PAL)
  3. MPEG 2 SVCD (NTSC)
  4. MPEG 2 SVCD (PAL)
  5. MPEG 2 DVD (NTSC)
  6. MPEG 2 DVD (PAL)

Making Custom MPEG Movies

Although, MPEG is primarily used to create movies for VCD, SVCD and DVD, Digital Media Converter also provides you with the feature of making movies in custom MPEG 1 format. To make custom MPEG movies, select MPEG 1 from the Convert To Format box. Specify custom values for:

  1. Video Dimensions: Select the width and height in pixels from the ones available.
  2. Frame Rate: Select the frame rate in frames/second (FPS) from the ones available:
  3. Video Bit-rate: Specify the bit-rate within the range of 192 to 8000 Kbps.
  4. Variable Bit-rate: This option is available only for MPEG 1 files. Check this option to achieve higher compression ratio depending on the kind of videos present in the Timeline.
  5. Video Quality: This option is available only for MPEG 1 files when Variable Bit-rate is checked. The video quality can be altered to achieve very high compressions.
  6. Audio Bit-rate: Specify the bit-rate from the ones available.
  7. Audio Sample Rate: Specify the audio frequency of your choice. The available settings are 48 KHz and 44.1 KHz.
  8. Click on OK to save the settings.


Configure DV-AVI Properties

Digital Media Converter: Making Movies

Configuring Digital Video AVI Properties

Movies made in this format can be exported to a Digital Video (DV) camera attached to your PC.

  1. After adding files to the list, point to the Files menu and click Settings.
  2. From the Convert To box, select DV-AVI option.
  3. Select the Properties tab.

Type

Select the Digital Video AVI Type. Digital Media Converter supports both Type I and Type II. Type I DV files are not backward compatible with older Video for Windows (VFW) systems. Type II DV files cannot be created without an audio. For this purpose, Digital Media Converter automatically inserts a blank audio when the source file contains no audio.

Video Standard

Select NTSC or PAL depending on the standards supported by your Digital Video camera. The DV AVI specifications for these standards are:

NTSC

Frame Rate: 30 frames/second.
Dimension: 720 x 480 pixels.

PAL

Frame Rate: 25 frames/second.
Dimension: 720 x 576 pixels.

Note

Digital Video AVI files are variants of uncompressed AVI files. Similar to uncompressed AVI, Digital Video AVI does not use a compressor and can take up large amount of disk space. When saving to Digital Video AVI, it is recommended to also make a movie in AVI format using a video and audio compressor that produces good quality output. This movie can be stored for future use. After the DV AVI is exported to the camera, you may delete the DV AVI file.


Converting Files for Desktop Viewing

Digital Media Converter

Configuring Files for Desktop Viewing

  1. After adding files to the list, point to the Files menu and click Settings.
  2. From the Convert To box, select WMV - For Desktop Viewing for Video or WMA - For Desktop Viewing for audio.
  3. Select the Properties tab.
  4. From the Profile box, select an appropriate profile.
  5. Click OK.


Configuring Files for Streaming

  1. After adding files to the list, point to the Files menu and click Settings.
  2. From the Convert To box, select WMV - For Windows Media Server (Streaming) for Video or WMA - For Windows Media Server (Streaming) for audio.
  3. Select the Properties tab.
  4. From the Profile box, select an appropriate profile.
  5. From the list of available Bit Rates, select the ones that you want to include in the conversion. Read Selecting Bit Rates before selection. When more than one Bit Rate is selected then the converted video is a MBR video.
  6. Click OK.


Configuring Files for Web Server Progressive Downloads

  1. After adding files to the list, point to the Files menu and click Settings.
  2. From the Convert To box, select WMV - For Web Server (Progressive Download) for Video or WMA - For Web Server (Progressive Download) for audio.
  3. Select the Properties tab.
  4. From the Profile box, select an appropriate profile.
  5. From the list of available Bit Rates, select the ones that you want to include in the conversion. Read Selecting Bit Rate before selection. When more than one Bit Rate is selected then the converted video is a MBR video.
  6. Click OK.


Configuring Files For Portable Media Center Devices

Digital Media Converter

Configuring Files for Playing on Portable Media Center Devices

  1. After adding files to the list, point to the Files menu and click Settings.
  2. From the Convert To box, select WMV - For Portable Media Center Devices for Video or WMA - For Portable Media Center Devices for audio.
  3. Select the Properties tab.
  4. From the Profile box, select an appropriate profile.
  5. From the list of available Bit Rates, select the ones that you want to include in the conversion. Read Selecting Bit Rate before selection. When more than one Bit Rate is selected then the converted video is a MBR video.
  6. Click OK.


Selecting BitRates

Digital Media Converter

Selecting Bit Rates

For files that will be streamed over a network, you must consider carefully what bit rates you should use. Under most circumstances you can add the bit rates of all of the streams in a file together to get a general idea of the available bandwidth required to stream the file. However, a certain amount of overhead is also required for each stream. This overhead is summarized in the following table.

Bit Rate Range (Kbps) | Additional Bandwidth Required for overhead (Kbps)
10 - 16 | 3
17 - 30 | 4
31 - 45 | 5
46 - 70 | 6
71 - 225 | 7
> 225 | 9

You must also consider that the theoretical maximum bandwidth available over a network connection is not a practical target bit rate. The average available bandwidth for any given connection falls well short of the bandwidth capacity of the connection, because of network traffic and many other factors.


Setting Up an MBR Stream

If you plan to deliver your content as a unicast stream from a server running Microsoft Windows Media Services, encoding multiple bit rate stream provides users with better quality content during times of network congestion. When you set up an MBR stream your content is encoded at every bit rate you specify. When a player receives an MBR stream, only the stream that is the most appropriate for current network conditions plays. The Windows Media server and player handle the process of selecting the appropriate stream, which is invisible to the user. Because an MBR stream is intended for use only in a streaming scenario, you can only use CBR encoding when encoding an MBR stream.

You can encode an MBR stream for both audio and video content; however, it is not necessary to use MBR encoding for both audio and video in a stream. For example, you can stream audio at one bit rate and have multiple bit rates for the video portion of the stream. Also keep in mind that encoding an MBR stream uses more processing power for the encoding computer. Select a range of bit rates that you think will meet the playback needs of the audiences you are targeting.


Configure WAV Properties

Digital Media Converter

Configuring WAV Properties

  1. After adding files to the list, point to the Files menu and click Settings.
  2. From the Convert To box, select WAV.
  3. Select the Properties tab.
  4. From the Audio Frequency box, select the required frequency.
  5. Select Audio Bit Size and Audio Type.
  6. Click OK.


Starting and Stopping Conversions

To start converting video and audio files, the following step (s) are required to be carried out in no particular order:

  1. Add one or more files to the conversion list
  2. Add folders to the conversion list
  3. Select the files to convert
  4. Change conversion settings

Starting Conversion

To start conversion point to the File menu and click Convert or click the toolbar button labeled Convert. While the conversion is in progress, you can add more files and folders. You can also uncheck a file to exclude it from being converted. However, during conversion, changing conversion settings and removing files from the list options are disabled.

Stopping Conversion

As the conversion progresses through the conversion list, files are picked one by one and are converted. Converted files are automatically unchecked. To stop the conversion process, point to the File menu and click Stop or click the toolbar button labeled Stop. The Stop conversion option is available only when a conversion is in progress.


Removing Files from Conversion List

To remove a single file from the conversion list:

  1. Select the file that you want to remove by clicking it.
  2. On the Edit menu, click Remove.

To remove more than one files from the conversion list:

  1. Select the first file that you want to remove by clicking it.
  2. Multi-select all files by holding down the CTRL key and clicking them one by one.
  3. To select a range of files hold down the SHIFT key and click the last file in the range.
  4. On the Edit menu, click Remove.

To remove all files at once, point to the Edit menu and click Remove All.


Having Trouble Converting?

Digital Media Converter

Having Trouble Including Files For Conversion?

This trouble shooting section discusses the messages you may receive when trying to add files for conversion.

The audio in this media file cannot be rendered

This message is shown when the appropriate audio compressor in use by the file is not installed on your computer. For example, an audio compressor in use by a WMV file is absent. On opening the file in Windows Media Player, the player may be able to determine, download and install the appropriate compressors. If Windows Media Player cannot determine the required compressor and you know which compressor is needed to play the file then you can search and download it from the internet.

The video in this media file cannot be rendered

This message is shown when the necessary video codec required for rendering the video data is not present. Try opening your video file in Windows Media Player. This message is similar to the message mentioned above and may be resolved by opening the file in Windows Media Player. For Example, Windows Media Player is not able to determine the appropriate DivX compressor for playing a DivX file, hence this compressor has to be searched for and installed on the PC.

Some of the streams in this media file are in an unsupported format

This message is shown when either the video or audio data present in the file could not be read. Windows Media Player does not have the ability to play all types of files. For example, you will not be able to view an MPEG2 file without having appropriate MPEG-2 Video Decoder installed on your PC.

There are two types of MPEG files, MPEG – I and MPEG – II. Digital Media Converter completely supports converting
MPEG – I files. MPEG – II files can be edited with Digital Media Converter only when:

  1. An appropriate MPEG video decoder is installed.
  2. The MPEG decoder is correctly configured.
  3. The MPEG decoder has features capable of editing Media Files.

Incorrect decoder or configuration can result in unexpected results. If you are facing problems with editing MPEG
files you can:

Install the Elecard MPEG Video Decoder. You may download it from www.elecard.com/ftp/pub/mpeg/decoder/EMpgDec20.zip.

However if you already have MPEG hardware or software installed and working on your system, it is very likely that
they might have installed their own set of MPEG Video Decoders. Installing Elecard MPEG Video Decoder in this case
may affect your existing setup.

Note: DVR-MS files contain MPEG-2 video and audio streams and requires a Windows XP-compatible MPEG-2 decoder to be installed.

No combination of filters could be found to render the stream of this media file

This message reports the absence of one or intermediate filters required for rendering the media file. For example, if the media file is a 24-bit RGB color and the appropriate filter to render this RGB type is absent.

No combination of intermediate filters could be found to make the connection

This message is shown when no combination of intermediate filters could render the media file. This is similar to the message above.

The source filter for this media file could not be loaded

This message is shown when the codec required for rendering the media file could not be loaded. For example Windows Media Player gives a similar message if you try to load a QuickTime MOV file which it does not support. Try updating Windows Media Player to the latest version. You can then try and play the source file with the player and see if it works.

The file format is invalid

This message is shown when the format of the file is such that it cannot be rendered. For example, if you rename a Word File (.doc) to .mpg and try rendering that file then Windows Media Player gives a similar message.

The media type of this file is not recognized

This message is shown when the media type reported by the file cannot be recognized or determined by Windows Media Player.

Cannot play back the file: the format is not supported

This message is shown when the appropriate decoder in use by the media file is not installed on your PC. For example Windows Media Player reports a similar message if you try to open a OGG Vorbis file and the appropriate Vorbis decoder is not present. To fix this problem you will need to find out the correct decoder required for the source file.

This media file cannot be rendered

This message is shown when you try to include an image file or other file type for conversion. Digital Media Converter does not support image files or non media files.

The recommended installation of QuickTime 6 or higher is required for rendering this kind of file. Please select the installation type as Recommended and not the Minimum or Custom.

This message is shown when your trying to add a QuickTime MOV file for conversion but your PC does not have the Recommended installation of QuickTime 6 or higher. When installing QuickTime please ensure that you select the installation type as 'Recommended' and not 'Custom' or 'Minimum'.

Unable to open this file because the file could not be rendered

This message is shown when the file open operation fails. This file might be a non standard QuickTime MOV file. Try opening the QuickTime file with the QuickTime Player.

Unable to open 0KB file

This message is shown when the file size is 0KB.

Unable to read CD

This message is shown when the user is trying to add a CDA file but the system cannot read from the CD Device or the Audio CD has been removed.

This file is protected by Digital Rights Management. It cannot be opened

This message is shown when file is protected by the content owner and/or broadcaster and it cannot be played back. This message can appear for Windows Media Format files (.wmv, .wma, .asf) or for files recorded on Media Centre PC i.e DVR-MS files. Try opening the file with Windows Media Player.


Video Edit Magic Express

Digital Media Converter

Trouble Shooting Compatibility Problems in Digital Media Converter

Digital Media Converter uses the Microsoft DirectShow technology, a part of DirectX to convert the videos, split the media files and for almost every other feature. DirectShow is an efficient technology that harnesses hardware capabilities of a computer to deliver optimum results.

This technology is also highly extensible. Various software vendors, using the DirectShow technology, develop filters (or plug-ins) to extend the capabilities of DirectShow for their own products.

In the same way, other software vendors may write other filters like, say, an MPEG decoder to read MPEG files. The software vendor’s own product works well with these filters, but they end up overwriting the default filters provided by DirectShow. In this example, DirectShow and hence Digital Media Converter will pick up the software vendor’s MPEG filter rather than the default one when you try to edit MPEG files resulting in a possible incompatibility.

Well-developed filters work correctly with DirectShow and thus with all products using DirectShow. The single largest reason that causes Digital Media Converter to function unexpectedly is “incompatible filters”, usually installed by other providers.

DirectShow Filters

A DirectShow filter usually has the extension .ax. DirectShow organizes filters in different categories. Some of the more significant categories are:

  1. Source or Reader Filters: These types of filters are responsible to read files of a particular type. A CD Audio Reader filter, for instance might read digital CD audio CD tracks and present them to other filters for further processing.
  2. Transform Filters: These types of filters modify video or audio data in certain way (s).
  3. Decoder or Decompression Filters: Sometimes a part of Reader Filters, these types of filters decode encoded data and presents them to other filters for further processing. The decoding may also apply decompression. The DivX decoder filter for instance decodes DivX files.
  4. Destination, Sink or Writer Filters: These types of filters write data to a certain type of file. An AVI writer filter, for example writes AVI files.
  5. Encoder Filter: Sometimes a part of the Writer Filter, these types of filters encode raw data. To conserve space, a filter of this type may also compress data. The DivX encoder filter, for example, encodes and compresses video data into DivX format.
  6. Render Filters: A special type of Sink Filters, these types of filters are responsible to display data. The full-screen render filter, for instance, renders video files in full screen.

DirectShow usually connects many filters belonging to different categories in sequence for all its operations. DirectShow chooses a filter to use in a sequence by examining all filters registered under a category. It then uses the first filter that suits the requirement.

Fixing Filter Incompatibility Issues

You can fix most problems with incompatible filters using the Compatibility feature offered by Digital Media Converter.


Support

Here are some important links to web pages that you can use to obtain Digital Media Converter support from DeskShare.

For | Visit | Link
Comments, Suggestions or Questions | Digital Media Converter Support Forum | http://www.deskshare.com/forums/default.aspx
New Feature Request | New Feature Request Web Page | http://www.deskshare.com/new_feature.aspx
Digital Media Converter Details and Updates | Digital Media Converter Home Page | http://www.deskshare.com/dmc.aspx
Report a Bug |  | http://www.deskshare.com/report_bug.aspx
Product, Sales and Contact Information | Contact Us Web Page on DeskShare | http://www.deskshare.com/contact_us.aspx

Please feel free to write to us at these links.


Configuring AVI Properties

  1. After adding files to the list, point to the Files menu and click Settings.
  2. From the Convert To box, select AVI
  3. Select Properties tab.

To let Digital Media Converter decide the best AVI Properties for you, click Auto Select. Digital Media Converter will scan the compressor on your PC and select the best available.

Video Dimension

Digital Media Converter gives you the power to not only save your videos in the original dimension but also to any dimension imaginable. To save your video in the original dimensions, select Keep source file dimensions. To change the dimensions select Change dimensions, then you may select to save in one of the standard formats or specify custom dimension for some very unusual video dimensions.

  • By default your converted file is saved in the original dimension.
  • To save to a different display dimension, open the Video Dimension list and choose a dimension of your choice.
  • To specify custom dimensions for your video, select "Custom" from the Video Dimension list. This will enable you to specify width and height of the video. If you want to alter the aspect ratio of the video then clear "Lock Aspect Ratio" and then specify width and height of the video.
  • As with images, it is not a good idea to save video to a display dimension that is higher than the original. For example, if the file imported into your timeline originally had 320 x 240 dimensions, you should not save it to 640 x 480 pixel dimension as it might distort the video.

Compressors

To apply a video compressor:

From the Video Compressor Box select a Compressor name.

To apply a audio compressor:

From the Audio Compressor Box select a Compressor name and click OK to save the settings.


Configure MPEG Properties

Digital Media Converter

Configuring MPEG Properties

  1. After adding files to the list, point to the Files menu and click Settings.
  2. From the Convert To box, select one of the option from VCD, DVD, SVCD, Custom MPEG-1,Custom MPEG-2.
  3. Select the Properties tab.

MPEG is the dominant file format used to create VCD, SVCD and DVD. This high quality compressed format can be used across all platforms. VCD, SVCD and DVDs accept MPEG files that conform to their respective standards. MPEG files differ in many parameters that characterizes the MPEG format.

The table below lists down the format in which MPEG files are made by Digital Media Converter depending on the type of video disc.

Video Disc |  |  | MPEG Format (Standard)
Disc Format | Picture Standard | Disc Type | MPEG Type | Dimension (pixels) | Frame Rate (FPS) | Video Bit-rate (Kbps) | Audio Bit-rate (Kbps) | Variable/Constant Bit-rate (VBR/CBR)
VCD | NTSC | CD | MPEG 1 | 352 x 240 | 29.97 | 1152 | 224 | CBR and VBR
VCD | PAL | CD | MPEG 1 | 352 x 288 | 25 | 1152 | 224 | CBR and VBR
SVCD | NTSC | CD | MPEG 2 | 480 x 480 | 29.97 | 2500 | 192 | CBR only
SVCD | PAL | CD | MPEG 2 | 480 x 576 | 25 | 2500 | 192 | CBR only
DVD | NTSC | DVD | MPEG 2 | 720 x 480 | 29.97 | 6000 | 224 | CBR only
DVD | PAL | DVD | MPEG 2 | 720 x 576 | 25 | 6000 | 224 | CBR only

NTSC is the picture standard used in USA while PAL is used in almost all European countries. The MPEG 1 format also supports Variable Bit-rate video that can be used to achieve high compression ratios depending on the kind of video's present in the Timeline.

Making MPEG Movies for VCD, SVCD and DVD

Creating VCD, SVCD or DVD involves:

  1. Making MPEG movie (s) conforming to the standard that the disc accepts.
  2. Burning the created movie (s) to an appropriate disc (CD or DVD)

Digital Media Converter is able to make MPEG movies for various Video Discs as discussed in the table above. However, a separate CD or DVD burning software is required to burn these MPEG movies to a CD or DVD.

To make movie for VCD, SVCD or DVD, select the required format from "Convert To Format" box and click on OK. The values required to create the correct MPEG Format is automatically filled up.

The options available are:

  1. MPEG 1 VCD (NTSC)
  2. MPEG 1 VCD (PAL)
  3. MPEG 2 SVCD (NTSC)
  4. MPEG 2 SVCD (PAL)
  5. MPEG 2 DVD (NTSC)
  6. MPEG 2 DVD (PAL)

Making Custom MPEG Movies

Although, MPEG is primarily used to create movies for VCD, SVCD and DVD, Digital Media Converter also provides you with the feature of making movies in custom MPEG 1 and MPEG 2 format. To make custom MPEG movies, select MPEG 1 or MPEG 2 from the Convert To Format box. Specify custom values for:

  1. Video Dimensions: Select the width and height in pixels from the ones available.
  2. Frame Rate: Select the frame rate in frames/second (FPS) from the ones available:
  3. Video Bit-rate: Specify the bit-rate within the range of 192 to 8000 Kbps.
  4. Variable Bit-rate: This option is available only for MPEG 1 files. Check this option to achieve higher compression ratio depending on the kind of videos present in the Timeline.
  5. Video Quality: This option is available only for MPEG 1 files when Variable Bit-rate is checked. The video quality can be altered to achieve very high compressions.
  6. Audio Bit-rate: Specify the bit-rate from the ones available.
  7. Click on OK to save the settings.


Index

Digital Media Converter

Welcome to Digital Media Converter

Digital Media Converter speedily converts your video and audio files from one format to another. This simple to use program supports all popular media formats like MPEG, AVI, WMV, WMA, MP3, WAV etc. The program's mass conversion capability lets you multi-select files to add them for conversion. You can also add an entire folder. Digital Media Converter lets you search for files by extension in a folder and then adds them for conversion.

Supported Media File Formats

Features

With Digital Media Converter you can:

  • Multi-select files and add them for conversion.
  • Search a folder and its sub-folders for files by extension and add them for conversion.
  • Select files that you want to convert from the ones added.
  • Convert files in the background while you do other work.
  • Convert from all popular media formats.


Supported Media Formats

Most of the commonly used media file formats are supported by Digital Media Converter:

Supported Input Formats

  1. Audio-Video Interleaved (AVI)
  2. WAV
  3. Windows Media Audio (WMA)
  4. Windows Media Video (WMV)
  5. Advanced Streaming Format (ASF)
  6. Motion Picture Experts Group (MPEG)
  7. QuickTime (MOV)
  8. DVR-MS (DVR Microsoft)
  9. AIFF
  10. AU
  11. SND
  12. CDA (CD Digital Audio)

Supported Output Formats

  1. AVI
  2. MPEG Formats (VCD, SVCD and DVD)
  3. QuickTime (MOV)
  4. Windows Media Video (WMV)
  5. Windows Media Audio (WMA)
  6. WAV

QuickTime Support

The 'Recommended' or 'Full' installation of QuickTime Player is required to convert from MOV to any supported format. These installation options are available in QuickTime Player's installer. QuickTime Player's online or standalone installer can be obtained from the URL: http://www.apple.com/quicktime/products/qt/.

Minimum System Requirements For DVR-MS Support

  1. To convert Media Center PC digital recorded files (.dvr-ms) Windows XP SP2 system is needed. To find out which Service Pack of Windows XP is currently installed on your PC: On the Start menu, click Run and then Enter "winver". If your using Windows XP SP1 system then you should download this update: http://www.microsoft.com/downloads/details.aspx?FamilyID=fb4c2c2e-60ea-4ed9-bc68-e93c9e65c58e&displaylang=en

  2. DVR-MS recorded files contain MPEG-2 video and audio streams and requires a Windows XP-compatible MPEG-2 decoder to be installed.


What's New?

Digital Media Converter

What's New in Digital Media Converter 2.3 ?

  1. Output to Quick Time Format: Save your files to Quick Time MOV format.
  2. DVR-MS File Support: Convert your TV shows recorded on Media Center PC's to any supported output format.
  3. Save media files to your desired dimensions: Digital Media Converter gives you the power to not only save your videos in the original dimension but also to any dimension imaginable. This support is provided for output to AVI and QuickTime MOV format.
  4. Create WMF files to port to Portable Media Center Devices: Digital Media Converter now lets you create WMF media files that you can play back on Portable Media Center devices.
  5. Repair Media Files: The built-in repair utility detects and repairs problems in your media files.
  6. Search and Add Files: Digital Media Converter will allow you to search in a specified folder and sub folders for files with your selected extensions.

What's New in Digital Media Converter 2.2 ?

  1. Automatic Shutdown: Allow Digital Media Converter to safely shut down your PC once the batch conversion is over.
  2. Split Feature: The split feature allows you to take any media file and split it into separate parts.

What's New in Digital Media Converter 2.1?

  1. Windows Media 9 Support: Digital Media Converter now supports conversion to WMV and WMA. The profiles are categorized by distribution media for easy conversions.
  2. CD Ripping: Extract CD tracks from an Audio CD and convert them to any desired format.
  3. Drag and Drop Feature: Media Files can be dragged from the explorer and dropped into the conversion list.
  4. Quick Time Support: Convert Quick Time Movie files to any format supported by Digital Media Converter.